# time.h File Reference

`#include <ubixos/types.h>`
`#include <sys/io.h>`

Go to the source code of this file.

## Data Structures

struct | timespec
struct | timeStruct
struct | timeval
struct | timezone

## Defines

#define | BCD_TO_BIN(val) ((val)=((val)&15) + ((val)>>4)*10)
#define | MINUTE 60
#define | HOUR (60*MINUTE)
#define | DAY (24*HOUR)
#define | YEAR (365*DAY)

## Typedefs

typedef long | suseconds_t
typedef __time_t | time_t

## Functions

int | gettimeofday (struct timeval *tp, struct timezone *tzp)
int | timeInit ()
int | timeCmosRead (int)
uInt32 | timeMake (struct timeStruct *time)

## Define Documentation

#define BCD_TO_BIN | ( | val |  | ) | ((val)=((val)&15) + ((val)>>4)*10)

#define DAY (24*HOUR)

#define HOUR (60*MINUTE)

#define MINUTE 60

#define YEAR (365*DAY)

## Typedef Documentation

typedef long suseconds_t

typedef __time_t time_t

## Function Documentation

int gettimeofday | ( | struct timeval * | tp,
|  | struct timezone * | tzp
| ) |

int timeCmosRead | ( | int |  | ) |

int timeInit | ( |  | ) |

uInt32 timeMake | ( | struct timeStruct * | time | ) |